Update or correct envelope recipients
Updates the recipients of a draft envelope or corrects recipient information for an in-process envelope.
If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the EnvelopeRecipients: Create method).
You can also use this method to resend an envelope to a recipient
by using the resend_envelope option.
Updating Sent Envelopes
After an envelope has been sent, you can edit only the following properties:
accessCodeagentCanEditNameagentCanEditEmailcustomFieldsdeliveryMethoddocumentVisibilityemail(If you provide an email address in this method, it will be treated as a new email address, even if it is exactly the same as the current address. Do not provide an email address if you do not want a correction email sent.)emailNotificationidCheckConfigurationNameidentityVerificationnamenotephoneAuthenticationrecipientType(For this to work, you must also change the recipient object to match the recipient type.)requireIdLookuproutingOrdersigningGroupId(You can change this ID to switch to a different signing group and its corresponding set of recipients.)smsAuthenticationsuppressEmailsuserName
If the recipient has signed,
but the envelope is still active,
the method will return success,
but the recipientUpdateResults property
in the response will include an error
that the recipient could not be updated:
If the envelope is completed, and you try to change a recipient’s address, the method will fail with this error:
Note: This method works on recipients only.
To add recipient tabs,
use methods from the EnvelopeRecipientTabs resource.
For example, this request body will add a recipient (astanton@example.com)
but NOT the Sign Here recipient tab.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Query parameters
When true, recipients are combined or merged with matching recipients. Recipient matching occurs as part of template matching, and is based on Recipient Role and Routing Order.
When true, forces the envelope to be resent if it would not be resent otherwise.
Ordinarily, if the recipient’s routing order is before or the same as the envelope’s next recipient, the envelope is not resent.
Setting this query parameter to false has no effect and is the same as omitting it altogether.
Request
This endpoint expects an object: recipients
Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
Response
An array of recipientUpdateResults objects that contain details about the recipients.